# Class BooleanConfigKey

java.lang.Object
uk.ac.starlink.ttools.plot2.config.ConfigKey<Boolean>
uk.ac.starlink.ttools.plot2.config.BooleanConfigKey

public class BooleanConfigKey extends ConfigKey<Boolean>
Config key for boolean values.

Since:
  22 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BooleanConfigKey(ConfigMeta meta)`
Constructs a key with a false default.
`BooleanConfigKey(ConfigMeta meta, boolean dflt)`
Constructs a key with explicit default.

## Method Summary

Modifier and Type
Method
Description
`Specifier<Boolean>`
`createSpecifier()`
Constructs a graphical control with which the user can specify a suitable value for association with this key.
`static boolean`
`isFalse(String txt)`
Indicates whether the given string represents the value False.
`static boolean`
`isTrue(String txt)`
Indicates whether the given string represents the value True.
`Boolean`
`stringToValue(String txt)`
Decodes a string value to the value type of this key.
`String`
`valueToString(Boolean value)`
Reports a value as a string.

### Methods inherited from class ConfigKey

`cast, getDefaultValue, getMeta, getValueClass, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BooleanConfigKey

public BooleanConfigKey(ConfigMeta meta, boolean dflt)
Constructs a key with explicit default.

Parameters:
  `meta` - metadata
  `dflt` - default value

### BooleanConfigKey

public BooleanConfigKey(ConfigMeta meta)
Constructs a key with a false default.

Parameters:
  `meta` - metadata

## Method Details

### stringToValue

public Boolean stringToValue(String txt) throws ConfigException
Description copied from class: `ConfigKey`
Decodes a string value to the value type of this key. An empty string should be interpreted as a null value, but this may cause an exception if null is not a permissible value for this key.

Specified by:
  `stringToValue` in class `ConfigKey<Boolean>`
Parameters:
  `txt` - string representation of value
Returns:
  value
Throws:
  `ConfigException`

### valueToString

public String valueToString(Boolean value)
Description copied from class: `ConfigKey`
Reports a value as a string. If at all possible the roundtripping should be possible, so `stringToValue(valueToString(v)).equals(v)`. A null value, if permitted, should be represented as an empty string.

Specified by:
  `valueToString` in class `ConfigKey<Boolean>`
Parameters:
  `value` - possible value associated with this key
Returns:
  string representation

### createSpecifier

public Specifier<Boolean> createSpecifier()
Description copied from class: `ConfigKey`
Constructs a graphical control with which the user can specify a suitable value for association with this key.

Specified by:
  `createSpecifier` in class `ConfigKey<Boolean>`
Returns:
  new specifier

### isTrue

public static boolean isTrue(String txt)
Indicates whether the given string represents the value True.

Parameters:
  `txt` - string
Returns:
  true iff txt means True

### isFalse

public static boolean isFalse(String txt)
Indicates whether the given string represents the value False.

Parameters:
  `txt` - string
Returns:
  true iff txt means False